Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "svg-creator",
    "input": {
      "model": "svg-creator",
      "prompt": "A minimalist logo of a mountain with a sun",
      "style": "vector_illustration",
      "image_size": "square_hd"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "svg-creator",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits16 credits
Toolsvg-creator

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYessvg-creator
input.modelstringYessvg-creator
input.promptstringYesDescription of the SVG to create
input.stylestringNoArt style. Options: vector_illustration (default), engraving, line_art, line_circuit, linocut
input.image_sizestringNoImage size. Options: square_hd (default), square, portrait_4_3, portrait_16_9, landscape_4_3, landscape_16_9
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "svg-creator",
    "input": {
      "model": "svg-creator",
      "prompt": "A minimalist logo of a mountain with a sun",
      "style": "vector_illustration",
      "image_size": "square_hd"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "svg-creator",
  "createdAt": "2024-01-15T10:30:00.000Z"
}